> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Updates

Retrieve a list of Update objects for a specific Account.

## Path Parameters

## Query Parameters

## Returns

Returns a list of Updates.

```bash cURL theme={null}
curl "https://production.methodfi.com/accounts/acc_yVf3mkzbhz9tj/updates" \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
```

```javascript Node.js theme={null}
const response = await method
  .accounts('acc_yVf3mkzbhz9tj')
  .updates
  .list();
```

```python Python theme={null}
response = method
  .accounts('acc_yVf3mkzbhz9tj')
  .updates
  .list()
```

```json theme={null}
{
  "data": [
    {
      "id": "upt_NYV5kfjskTTCJ",
      "status": "completed",
      "account_id": "acc_yVf3mkzbhz9tj",
      "source": "direct",
      "type": "credit_card",
      "data_as_of": "2024-03-20T04:43:21.434Z",
      "credit_card": {
        "available_credit": 120000,
        "balance": 80000,
        "closed_at": null,
        "credit_limit": 200000,
        "interest_rate_percentage_max": 23.5,
        "interest_rate_percentage_min": 12.0,
        "interest_rate_type": "variable",
        "last_payment_amount": 5000,
        "last_payment_date": "2024-04-05",
        "next_payment_due_date": "2024-05-01",
        "next_payment_minimum_amount": 4000,
        "opened_at": "2018-10-30",
        "sub_type": "flexible_spending",
        "usage_pattern": "transactor"
      },
      "error": null,
      "created_at": "2024-03-20T04:43:21.434Z",
      "updated_at": "2024-03-20T04:43:21.655Z"
    },
    {...}
  ]
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.